[gjs/locale-agnostic-camel-properties: 1/2] Dockerfile: Install Turkish locale in CI




commit fd8719a6a416a4875d6b876626d819a76eb0dd91
Author: Marco Trevisan (TreviƱo) <mail 3v1n0 net>
Date:   Thu Apr 28 20:13:56 2022 +0200

    Dockerfile: Install Turkish locale in CI

 test/extra/Dockerfile       | 8 ++++++++
 test/extra/Dockerfile.debug | 8 ++++++++
 2 files changed, 16 insertions(+)
---
diff --git a/test/extra/Dockerfile b/test/extra/Dockerfile
index d44ea5c0c..de78be30c 100644
--- a/test/extra/Dockerfile
+++ b/test/extra/Dockerfile
@@ -31,6 +31,7 @@ RUN rm -f /root/mozjs-install/usr/lib64/libjs_static.ajs
 
 FROM registry.fedoraproject.org/fedora:34
 
+ARG LOCALES=tr_TR
 ENV SHELL=/bin/bash
 
 # List is comprised of base dependencies for CI scripts, gjs, and debug packages
@@ -57,6 +58,7 @@ RUN dnf -y install --enablerepo=fedora-debuginfo,updates-debuginfo \
     glib2-devel \
     glibc-debuginfo \
     glibc-debuginfo-common \
+    glibc-locale-source \
     gnome-desktop-testing \
     gobject-introspection-debuginfo \
     gobject-introspection-debugsource \
@@ -92,6 +94,12 @@ RUN sed -i -e 's/# %wheel/%wheel/' -e '0,/%wheel/{s/%wheel/# %wheel/}' \
 ENV HOST_USER_ID 5555
 RUN useradd -u $HOST_USER_ID -G wheel -ms /bin/bash user
 
+# Enable locales needed for specific tests
+RUN for locale in ${LOCALES}; do \
+        localedef --verbose --force -i "$locale" "$locale" || true; \
+        localedef --verbose --force -i "$locale" -f UTF-8 "$locale".UTF-8 || true; \
+    done
+
 USER user
 WORKDIR /home/user
 
diff --git a/test/extra/Dockerfile.debug b/test/extra/Dockerfile.debug
index a77b07ea9..4548e078a 100644
--- a/test/extra/Dockerfile.debug
+++ b/test/extra/Dockerfile.debug
@@ -45,6 +45,7 @@ RUN rm -f /root/mozjs-install/usr/lib64/libjs_static.ajs
 
 FROM registry.fedoraproject.org/fedora:34
 
+ARG LOCALES=tr_TR
 ENV SHELL=/bin/bash
 
 # List is comprised of base dependencies for CI scripts, gjs, and debug packages
@@ -71,6 +72,7 @@ RUN dnf -y install --enablerepo=fedora-debuginfo,updates-debuginfo \
     glib2-devel \
     glibc-debuginfo \
     glibc-debuginfo-common \
+    glibc-locale-source \
     gnome-desktop-testing \
     gobject-introspection-debuginfo \
     gobject-introspection-debugsource \
@@ -109,6 +111,12 @@ RUN sed -i -e 's/# %wheel/%wheel/' -e '0,/%wheel/{s/%wheel/# %wheel/}' \
 ENV HOST_USER_ID 5555
 RUN useradd -u $HOST_USER_ID -G wheel -ms /bin/bash user
 
+# Enable locales needed for specific tests
+RUN for locale in ${LOCALES}; do \
+        localedef --verbose --force -i "$locale" "$locale" || true; \
+        localedef --verbose --force -i "$locale" -f UTF-8 "$locale".UTF-8 || true; \
+    done
+
 USER user
 WORKDIR /home/user
 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]